Skip to main content
`Ctrl`+`K`

# skbio.stats.gradient.CategoryResults

class skbio.stats.gradient.CategoryResults(category, probability, groups, message)

  Store the trajectory results of a metadata category.

  Attributes:
    category str

      The name of the category

    probability float

      The ANOVA probability that the category groups are independent

    groups list of GroupResults

      The trajectory results for each group in the category

    message str

      A message with information of the execution of the algorithm

  Methods

  `to_files` | Save trajectory analysis results for a category to files in text format.

  Special methods (inherited)

  `__eq__` | Return self==value.
  `__ge__` | Return self>=value.
  `__getstate__` | Helper for pickle.
  `__gt__` | Return self>value.
  `__hash__` | Return hash(self).
  `__le__` | Return self<=value.
  `__lt__` | Return self<value.
  `__ne__` | Return self!=value.
  `__str__` | Return str(self).

  Details